import { When } from '../types/config.types';
import { IStringToTsType } from '../types/types';
export declare function uncapitalize(string: string): string;
export declare function capitalize(string: string): string;
export declare function isObject(item: any): any;
export declare function omit(obj: Record<string, any>, fields: string[]): Record<string, any>;
export declare function pick(obj: Record<string, any>, fields: string[]): Record<string, any>;
export declare function mergeDeep(target: any, source: any): any;
export declare function deepClone(obj: any): any;
export declare const stringToTsType: IStringToTsType;
export declare function whenIsTrue(expact: When, realValues: Record<string, any>): boolean;
export declare function recipeRunner(recipe: Function | undefined, state: any): any;
